From eefc914d4a2bb94123adfaf79cb494b767f2855f Mon Sep 17 00:00:00 2001
From: Alan Chandler <alan@chandlerfamily.org.uk>
Date: Wed, 21 Mar 2012 21:06:24 +0000
Subject: [PATCH] Fix issue with project tracker not being assigned properly

---
 lib/tasks/migrate_from_mantis.rake |   13 ++++++-------
 1 files changed, 6 insertions(+), 7 deletions(-)

diff --git a/lib/tasks/migrate_from_mantis.rake b/lib/tasks/migrate_from_mantis.rake
index 48fcda8..302e81b 100644
--- a/lib/tasks/migrate_from_mantis.rake
+++ b/lib/tasks/migrate_from_mantis.rake
@@ -264,13 +264,12 @@ task :migrate_from_mantis => :environment do
       categories_map = {}
       MantisProject.find(:all).each do |project|
     	p = Project.new :name => encode(project.name),
-                        :description => encode(project.description)
-    	p.identifier = project.identifier
-    	next unless p.save
-    	projects_map[project.id] = p.id
-    	p.enabled_module_names = ['issue_tracking', 'news', 'wiki']
-        p.trackers << TRACKER_BUG
-        p.trackers << TRACKER_FEATURE
+                        :description => encode(project.description),
+                        :trackers => [TRACKER_BUG,TRACKER_FEATURE]
+        p.identifier = project.identifier
+        projects_map[project.id] = p.id
+        p.enabled_module_names = ['issue_tracking', 'news', 'wiki']
+        p.save
     	print '.'
 
     	# Project members
-- 
1.7.9.1

